{
	"item": "kubejs:upgrade_max",
	"machines": ["custommachinery:alloy_smelter", "custommachinery:mana_cond"],
	"modifiers": [
		{
			"requirement": "custommachinery:speed",
			"mode": "input",
			"operation": "multiplication",
			"modifier": 0.0
		},
		{
			"requirement": "custommachinery:energy",
			"mode": "input",
			"operation": "multiplication",
			"modifier": 0.5
		},
        {
            "requirement": "custommachinery:item",
            "mode": "output",
            "operation": "multiplication",
            "modifier": 2
        }
	]
}